@abstract
extends State

class_name WeaponState

@warning_ignore("unused_signal")
signal return_to_previous

var machine: WeaponSubStateMachine

func use_begin() -> void:
	pass
func use_end() -> void:
	pass
func alternate_state() -> void:
	pass
# Need to clarify naming; Switch mode like firemode. For different states use
# alternate_state
func switch_mode() -> void:
	pass
